void printi(int val);

int function(int val)
{
  return val;
}

typedef int (*func_t)(int);

int main()
{
  int val;
  func_t f;

  f = function;

  val = f(20);     printi(val);
  val = (*f)(20);  printi(val);

  return 0;
}
